SELECT PM.ID_PROGRAMMA_MUSICALE AS ID_PROGRAMMA_MUSICALE,
       PM.NUMERO AS NUMERO_PROGRAMMA_MUSICALE,
       PQD.COGNOME||' '||PQD.NOME AS DIRETTORE_ESECUZIONE,
       PQD.SESSO AS SESSO,
       PQD.NUMERO_POSIZIONE_SIAE AS POSIZIONE_SIAE,
       PQD.LUOGO_NASCITA AS COMUNE_NASCITA,
       PQD.SIGLA_PROVINCIA_NASCITA AS SIGLA_PROVINCIA_NASCITA,
       PQD.DATA_NASCITA AS DATA_NASCITA,
       PQD.CODICE_FISCALE AS CODICE_FISCALE,
       PQD.RESIDENZA AS INDIRIZZO,
       PQD.CIVICO_RESIDENZA AS CIVICO_RESIDENZA,
       PQD.COMUNE_RESIDENZA AS COMUNE,
       PQD.SIGLA_PROVINCIA_RESIDENZA AS SIGLA_PROVINCIA,
       PQD.CAP_RESIDENZA AS CAP,
       PQD.DATA_BONIFICA as DATA_BONIFICA
FROM PM_QUADRO_E2 PQD
  JOIN PROGRAMMA_MUSICALE PM ON PM.ID_PROGRAMMA_MUSICALE = PQD.ID_PROGRAMMA_MUSICALE
  JOIN PROGRAMMA_MUSICALE_EVENTO PME ON PME.ID_PROGRAMMA_MUSICALE = PM.ID_PROGRAMMA_MUSICALE
  JOIN CHIAVE_EVENTO CE ON CE.ID_PROGRAMMA_MUSICALE = PM.ID_PROGRAMMA_MUSICALE
WHERE PM.STATO='V'
      AND (
        PQD.DATA_BONIFICA > TO_DATE('{year}-{month}-{day}','YYYY-MM-DD')
        or PM.DATA_BONIFICA > TO_DATE('{year}-{month}-{day}','YYYY-MM-DD')
        or PME.DATA_BONIFICA > TO_DATE('{year}-{month}-{day}','YYYY-MM-DD')
      )
      AND TRUNC(PM.DATA_158,'MONTH') = TO_DATE('{year}-{month}','YYYY-MM')
